Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87486 - ConfigTool processing of multiple conflicts does not match ecosconfig
Summary: ConfigTool processing of multiple conflicts does not match ecosconfig
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: ConfigTool
Version: CVS
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dallaway
QA Contact: John Dallaway
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-27 16:13 UTC by John Dallaway
Modified: 2007-04-18 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:23:33 UTC


Attachments (Terms of Use)

Description John Dallaway 2003-03-27 16:13:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
configtool reports CDL conflicts, presents solutions and applies solutions on a per conflict basis. In contrast, ecosconfig invokes a "resolve all conflicts" function within libCDL. The difference in approach can lead to differences in the final configuration space. configtool should treat the conflicts in such a way that if the user accepts all the recommended solutions then the resulting configuration space is identical to that generated by ecosconfig. This requires knowledge of the way in which libCDL processes a "resolve all conflicts" request.


Version-Release number of selected component (if applicable):
AnonCVS

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
    

Additional info:

Comment 1 Alex Schuilenburg 2003-06-20 16:23:33 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=87486


Note You need to log in before you can comment on or make changes to this bug.